curl --request POST \ --url https://tavusapi.com/v2/objectives \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data '{ "data": [ { "objective_name": "ask_if_new_patient", "objective_prompt": "Ask the patient if they are new or have been here before", "confirmation_mode": "auto", "output_variables": [ "patient_status" ], "modality": "verbal", "next_conditional_objectives": { "new_patient_intake_process": "If the patient has never been to the practice before", "existing_patient_intake_process": "If the patient has been to the practice before" }, "next_required_objective": "get_patient_name", "callback_url": "https://your-server.com/webhook" } ]}'
import requests
url = "https://tavusapi.com/v2/objectives"
payload = { "data": [
{
"objective_name": "ask_if_new_patient",
"objective_prompt": "Ask the patient if they are new or have been here before",
"confirmation_mode": "auto",
"output_variables": ["patient_status"],
"modality": "verbal",
"next_conditional_objectives": {
"new_patient_intake_process": "If the patient has never been to the practice before",
"existing_patient_intake_process": "If the patient has been to the practice before"
},
"next_required_objective": "get_patient_name",
"callback_url": "https://your-server.com/webhook"
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
objective_name: 'ask_if_new_patient',
objective_prompt: 'Ask the patient if they are new or have been here before',
confirmation_mode: 'auto',
output_variables: ['patient_status'],
modality: 'verbal',
next_conditional_objectives: {
new_patient_intake_process: 'If the patient has never been to the practice before',
existing_patient_intake_process: 'If the patient has been to the practice before'
},
next_required_objective: 'get_patient_name',
callback_url: 'https://your-server.com/webhook'
}
]
})
};
fetch('https://tavusapi.com/v2/objectives', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tavusapi.com/v2/objectives",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
[
'objective_name' => 'ask_if_new_patient',
'objective_prompt' => 'Ask the patient if they are new or have been here before',
'confirmation_mode' => 'auto',
'output_variables' => [
'patient_status'
],
'modality' => 'verbal',
'next_conditional_objectives' => [
'new_patient_intake_process' => 'If the patient has never been to the practice before',
'existing_patient_intake_process' => 'If the patient has been to the practice before'
],
'next_required_objective' => 'get_patient_name',
'callback_url' => 'https://your-server.com/webhook'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://tavusapi.com/v2/objectives"
payload := strings.NewReader("{\n \"data\": [\n {\n \"objective_name\": \"ask_if_new_patient\",\n \"objective_prompt\": \"Ask the patient if they are new or have been here before\",\n \"confirmation_mode\": \"auto\",\n \"output_variables\": [\n \"patient_status\"\n ],\n \"modality\": \"verbal\",\n \"next_conditional_objectives\": {\n \"new_patient_intake_process\": \"If the patient has never been to the practice before\",\n \"existing_patient_intake_process\": \"If the patient has been to the practice before\"\n },\n \"next_required_objective\": \"get_patient_name\",\n \"callback_url\": \"https://your-server.com/webhook\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://tavusapi.com/v2/objectives")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"data\": [\n {\n \"objective_name\": \"ask_if_new_patient\",\n \"objective_prompt\": \"Ask the patient if they are new or have been here before\",\n \"confirmation_mode\": \"auto\",\n \"output_variables\": [\n \"patient_status\"\n ],\n \"modality\": \"verbal\",\n \"next_conditional_objectives\": {\n \"new_patient_intake_process\": \"If the patient has never been to the practice before\",\n \"existing_patient_intake_process\": \"If the patient has been to the practice before\"\n },\n \"next_required_objective\": \"get_patient_name\",\n \"callback_url\": \"https://your-server.com/webhook\"\n }\n ]\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://tavusapi.com/v2/objectives")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": [\n {\n \"objective_name\": \"ask_if_new_patient\",\n \"objective_prompt\": \"Ask the patient if they are new or have been here before\",\n \"confirmation_mode\": \"auto\",\n \"output_variables\": [\n \"patient_status\"\n ],\n \"modality\": \"verbal\",\n \"next_conditional_objectives\": {\n \"new_patient_intake_process\": \"If the patient has never been to the practice before\",\n \"existing_patient_intake_process\": \"If the patient has been to the practice before\"\n },\n \"next_required_objective\": \"get_patient_name\",\n \"callback_url\": \"https://your-server.com/webhook\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body
{ "objectives_id": "o12345", "objective_name": "New Objectives", "status": "active", "created_at": "2024-01-15T10:30:00Z"}
{
"message": "objective_name is required"
}
{
"message": "Invalid access token"
}
Objectives
Create Objectives
This endpoint creates objectives for a PAL.
POST
/
v2
/
objectives
Create Objectives
curl --request POST \ --url https://tavusapi.com/v2/objectives \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data '{ "data": [ { "objective_name": "ask_if_new_patient", "objective_prompt": "Ask the patient if they are new or have been here before", "confirmation_mode": "auto", "output_variables": [ "patient_status" ], "modality": "verbal", "next_conditional_objectives": { "new_patient_intake_process": "If the patient has never been to the practice before", "existing_patient_intake_process": "If the patient has been to the practice before" }, "next_required_objective": "get_patient_name", "callback_url": "https://your-server.com/webhook" } ]}'
import requests
url = "https://tavusapi.com/v2/objectives"
payload = { "data": [
{
"objective_name": "ask_if_new_patient",
"objective_prompt": "Ask the patient if they are new or have been here before",
"confirmation_mode": "auto",
"output_variables": ["patient_status"],
"modality": "verbal",
"next_conditional_objectives": {
"new_patient_intake_process": "If the patient has never been to the practice before",
"existing_patient_intake_process": "If the patient has been to the practice before"
},
"next_required_objective": "get_patient_name",
"callback_url": "https://your-server.com/webhook"
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
objective_name: 'ask_if_new_patient',
objective_prompt: 'Ask the patient if they are new or have been here before',
confirmation_mode: 'auto',
output_variables: ['patient_status'],
modality: 'verbal',
next_conditional_objectives: {
new_patient_intake_process: 'If the patient has never been to the practice before',
existing_patient_intake_process: 'If the patient has been to the practice before'
},
next_required_objective: 'get_patient_name',
callback_url: 'https://your-server.com/webhook'
}
]
})
};
fetch('https://tavusapi.com/v2/objectives', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tavusapi.com/v2/objectives",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
[
'objective_name' => 'ask_if_new_patient',
'objective_prompt' => 'Ask the patient if they are new or have been here before',
'confirmation_mode' => 'auto',
'output_variables' => [
'patient_status'
],
'modality' => 'verbal',
'next_conditional_objectives' => [
'new_patient_intake_process' => 'If the patient has never been to the practice before',
'existing_patient_intake_process' => 'If the patient has been to the practice before'
],
'next_required_objective' => 'get_patient_name',
'callback_url' => 'https://your-server.com/webhook'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://tavusapi.com/v2/objectives"
payload := strings.NewReader("{\n \"data\": [\n {\n \"objective_name\": \"ask_if_new_patient\",\n \"objective_prompt\": \"Ask the patient if they are new or have been here before\",\n \"confirmation_mode\": \"auto\",\n \"output_variables\": [\n \"patient_status\"\n ],\n \"modality\": \"verbal\",\n \"next_conditional_objectives\": {\n \"new_patient_intake_process\": \"If the patient has never been to the practice before\",\n \"existing_patient_intake_process\": \"If the patient has been to the practice before\"\n },\n \"next_required_objective\": \"get_patient_name\",\n \"callback_url\": \"https://your-server.com/webhook\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://tavusapi.com/v2/objectives")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"data\": [\n {\n \"objective_name\": \"ask_if_new_patient\",\n \"objective_prompt\": \"Ask the patient if they are new or have been here before\",\n \"confirmation_mode\": \"auto\",\n \"output_variables\": [\n \"patient_status\"\n ],\n \"modality\": \"verbal\",\n \"next_conditional_objectives\": {\n \"new_patient_intake_process\": \"If the patient has never been to the practice before\",\n \"existing_patient_intake_process\": \"If the patient has been to the practice before\"\n },\n \"next_required_objective\": \"get_patient_name\",\n \"callback_url\": \"https://your-server.com/webhook\"\n }\n ]\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://tavusapi.com/v2/objectives")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": [\n {\n \"objective_name\": \"ask_if_new_patient\",\n \"objective_prompt\": \"Ask the patient if they are new or have been here before\",\n \"confirmation_mode\": \"auto\",\n \"output_variables\": [\n \"patient_status\"\n ],\n \"modality\": \"verbal\",\n \"next_conditional_objectives\": {\n \"new_patient_intake_process\": \"If the patient has never been to the practice before\",\n \"existing_patient_intake_process\": \"If the patient has been to the practice before\"\n },\n \"next_required_objective\": \"get_patient_name\",\n \"callback_url\": \"https://your-server.com/webhook\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body
{ "objectives_id": "o12345", "objective_name": "New Objectives", "status": "active", "created_at": "2024-01-15T10:30:00Z"}
{
"message": "objective_name is required"
}
{
"message": "Invalid access token"
}
For AI agents, use https://docs.tavus.io/openapi.yaml for the full HTTP API contract.
Array of objectives to create. Objectives provide goal-oriented instructions that help guide conversations toward specific achievements and desired outcomes.
ISO 8601 timestamp of when the objective was created
Example:
"2024-01-15T10:30:00Z"
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Tavus","colors":{"primary":"#FA3862","light":"#FA3862","dark":"#FA3862"},"logo":{"light":"https://mintcdn.com/tavus/mlBBb4gkXXhWTLQi/logo/light_logo.png?fit=max\u0026auto=format\u0026n=mlBBb4gkXXhWTLQi\u0026q=85\u0026s=892e020f9d0afc49e64011dcae9d3dd6","dark":"https://mintcdn.com/tavus/mlBBb4gkXXhWTLQi/logo/dark_logo.png?fit=max\u0026auto=format\u0026n=mlBBb4gkXXhWTLQi\u0026q=85\u0026s=1268f09533ab55791e8ef8200d4a669f"},"favicon":{"light":"https://mintcdn.com/tavus/yC-TYEqHye998xbI/favicon_light.png?fit=max\u0026auto=format\u0026n=yC-TYEqHye998xbI\u0026q=85\u0026s=25642e844d8f4aaad82e6cb0d0cf44c3","dark":"https://mintcdn.com/tavus/yC-TYEqHye998xbI/favicon_dark.png?fit=max\u0026auto=format\u0026n=yC-TYEqHye998xbI\u0026q=85\u0026s=42861da3c81323c222cd6182eee43175"},"api":{"openapi":"openapi.yaml"},"navbar":{"links":[{"href":"https://discord.gg/5Y9Er6WNN5","label":"Community"},{"href":"https://status.tavus.io","label":"Status"},{"href":"mailto:support@tavus.io","label":"Get Support"}],"primary":{"type":"button","label":"Get Started","href":"https://maker.tavus.io/auth/sign-up?is_developer=true"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/tavus-io","discord":"https://discord.gg/5Y9Er6WNN5"}},"integrations":{"ga4":{"measurementId":"G-SBQHZWT4FS"}},"contextual":{"options":["copy","view","chatgpt","claude","cursor","mcp"],"display":"header"},"interaction":{"drilldown":false},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"tavus","hasAudioNarration":false,"actualSubdomain":"tavus","customDomains":["docs.tavus.io"],"gitSource":{"type":"github","owner":"tavus-engineering","repo":"platform-api-developer-documentation","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"feedback":{"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af1a7af77b2275ecbcc80d0","clientVersion":"0.0.4088","searchFilterCounts":[{"language":"default","tag":"CVI","count":137},{"language":"default","tag":"API","count":93},{"language":"default","tag":"Build","count":92},{"language":"default","tag":"Skills","count":27},{"language":"default","tag":"Deploy","count":23},{"language":"default","tag":"Interaction Events","count":21},{"language":"default","tag":"Face","count":20},{"language":"default","tag":"Magic Canvas","count":17},{"language":"default","tag":"Deployments","count":16},{"language":"default","tag":"Tools","count":14}]},"assistantConfig":{"enableStarterQuestions":true,"enableContextualStarterQuestions":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/objectives/create-objectives","slug":"/api-reference/objectives/create-objectives","pageMetadata":{"openapi":"post /v2/objectives","title":"Create Objectives","description":"This endpoint creates objectives for a PAL.\n","href":"/api-reference/objectives/create-objectives"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"This endpoint creates objectives for a PAL.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,..._provideComponents(),...props.components},{Info}=_components;if(!Info)_missingMdxReference(`Info`,true);return _jsx(Info,{children:_jsxs(_components.p,{children:[`For AI agents, use `,_jsx(_components.code,{children:`https://docs.tavus.io/openapi.yaml`}),` for the full HTTP API contract.`]})})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /v2/objectives","title":"Create Objectives","description":"This endpoint creates objectives for a PAL.\n","href":"/api-reference/objectives/create-objectives"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Objectives"],"summary":"Create Objectives","description":"This endpoint creates objectives for a PAL.\n","operationId":"createObjectives","requestBody":"d5e178bb-c52f-4648-b492-bafee618fe10","responses":{"200":"ca261d42-b0c8-46fc-b191-8c0c420ede51","400":"5e036f21-c301-47e4-a182-b5fae6567056","401":"af8c7a68-88b8-418d-a9e8-abb3e647d6ae"},"security":["26772cd2-a430-4e8b-8aa2-a21e2255d01f"],"method":"post","type":"path","servers":["b17d08fa-e921-4a01-8671-46fdd3a8244e"],"path":"/v2/objectives","baseUrlOptions":["https://tavusapi.com"],"title":"Create Objectives","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","description":"Array of objectives to create. Objectives provide goal-oriented instructions that help guide conversations toward specific achievements and desired outcomes.","items":{"type":"object","properties":{"objective_name":{"type":"string","description":"A descriptive name for the objective. This must be a string value without spaces.","example":"ask_if_new_patient","isRequired":true,"uniqueKey":"data.items.[INDEX].objective_name","typeLabel":"string"},"objective_prompt":{"type":"string","description":"The detailed prompt that defines what the objective should accomplish.","example":"Ask the patient if they are new or have been here before","isRequired":true,"uniqueKey":"data.items.[INDEX].objective_prompt","typeLabel":"string"},"confirmation_mode":{"type":"string","description":"How the objective completion should be confirmed. If set to `manual`, the user will be prompted to confirm the objective completion. If set to `auto`, the LLM will determine whether the objective was completed or not.","enum":["auto","manual"],"default":"auto","example":"auto","uniqueKey":"data.items.[INDEX].confirmation_mode","typeLabel":"enum\u003cstring>"},"output_variables":{"type":"array","description":"Optional list of variables that should be extracted or collected during the objective.","items":{"type":"string","uniqueKey":"data.items.[INDEX].output_variables.items.[INDEX]","typeLabel":"string"},"example":["patient_status"],"uniqueKey":"data.items.[INDEX].output_variables","typeLabel":"string[]"},"modality":{"type":"string","description":"The communication modality for the objective. If set to `verbal`, the objective will be completed by the user's responses. If set to `visual`, the objective can only be completed by visual / perception cues observed by Raven.","enum":["verbal","visual"],"default":"verbal","example":"verbal","uniqueKey":"data.items.[INDEX].modality","typeLabel":"enum\u003cstring>"},"next_conditional_objectives":{"type":"object","description":"A mapping of objective names to conditions that must be satisfied for that objective to be activated once this objective is completed. Use this to write multiple conditional objectives.","additionalProperties":{"type":"string","uniqueKey":"data.items.[INDEX].next_conditional_objectives.additionalProperties","typeLabel":"string"},"example":{"new_patient_intake_process":"If the patient has never been to the practice before","existing_patient_intake_process":"If the patient has been to the practice before"},"uniqueKey":"data.items.[INDEX].next_conditional_objectives","typeLabel":"object"},"next_required_objective":{"type":"string","description":"The name of the next required objective that will be activated once the current objective is completed. Use this to write a single next required objective without conditions.","example":"get_patient_name","uniqueKey":"data.items.[INDEX].next_required_objective","typeLabel":"string"},"callback_url":{"type":"string","description":"Optional URL that will receive notifications when the objective is completed.","example":"https://your-server.com/webhook","uniqueKey":"data.items.[INDEX].callback_url","typeLabel":"string"}},"required":["objective_name","objective_prompt"],"uniqueKey":"data.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"data","typeLabel":"object[]"}},"required":["data"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"data":[{"objective_name":"ask_if_new_patient","objective_prompt":"Ask the patient if they are new or have been here before","confirmation_mode":"auto","output_variables":["patient_status"],"modality":"verbal","next_conditional_objectives":{"new_patient_intake_process":"If the patient has never been to the practice before","existing_patient_intake_process":"If the patient has been to the practice before"},"next_required_objective":"get_patient_name","callback_url":"https://your-server.com/webhook"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"ca261d42-b0c8-46fc-b191-8c0c420ede51":{"description":"Objective created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"objectives_id":{"type":"string","description":"Unique identifier for the created objective","example":"o12345","uniqueKey":"objectives_id","typeLabel":"string"},"objective_name":{"type":"string","description":"Name of the objective","example":"New Objectives","uniqueKey":"objective_name","typeLabel":"string"},"status":{"type":"string","description":"Current status of the objective","example":"active","uniqueKey":"status","typeLabel":"string"},"created_at":{"type":"string","description":"ISO 8601 timestamp of when the objective was created","example":"2024-01-15T10:30:00Z","uniqueKey":"created_at","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"objectives_id":"o12345","objective_name":"New Objectives","status":"active","created_at":"2024-01-15T10:30:00Z"}}},"exampleType":"generated"}},"exampleType":"generated"},"5e036f21-c301-47e4-a182-b5fae6567056":{"description":"Bad Request - Invalid input parameters","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error message describing the validation failure","example":"objective_name is required","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"objective_name is required"}}},"exampleType":"generated"}},"exampleType":"generated"},"af8c7a68-88b8-418d-a9e8-abb3e647d6ae":{"description":"UNAUTHORIZED","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"The error message.","example":"Invalid access token","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"Invalid access token"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"26772cd2-a430-4e8b-8aa2-a21e2255d01f":{"apiKey":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[],"schemeName":"apiKey"}}},"servers":{"b17d08fa-e921-4a01-8671-46fdd3a8244e":{"url":"https://tavusapi.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[],"schemeName":"apiKey"},"schema":{"title":"x-api-key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apiKey","name":"x-api-key"}],"title":"apiKey"}]},"originalFileLocation":"openapi.yaml"},"subdomain":"tavus","siteName":"Tavus","title":"Create Objectives - Tavus","contextualStarterQuestions":[{"_id":"6a3ecac5d80e0e9f33107989","deploymentId":"65baa7516ce8cd46ab1aa877","questionText":"What parameters are required?","status":"active","generatedBy":"contextual","path":"api-reference/objectives/create-objectives","createdAt":"2026-06-26T18:53:57.145Z","updatedAt":"2026-06-26T18:53:57.145Z","__v":0},{"_id":"6a3ecac5d80e0e9f3310798a","deploymentId":"65baa7516ce8cd46ab1aa877","questionText":"How do I set up a PAL?","status":"active","generatedBy":"contextual","path":"api-reference/objectives/create-objectives","createdAt":"2026-06-26T18:53:57.145Z","updatedAt":"2026-06-26T18:53:57.145Z","__v":0},{"_id":"6a3ecac5d80e0e9f33107988","deploymentId":"65baa7516ce8cd46ab1aa877","questionText":"How do I create objectives?","status":"active","generatedBy":"contextual","path":"api-reference/objectives/create-objectives","createdAt":"2026-06-26T18:53:57.145Z","updatedAt":"2026-06-26T18:53:57.145Z","__v":0}],"navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-06-26T18:51:25.146Z","originalFileLocation":"api-reference/objectives/create-objectives.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This endpoint creates objectives for a PAL.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Tavus\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/tavus/Gv5r0opZCeHlefXw/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/tavus/Gv5r0opZCeHlefXw/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/tavus/Gv5r0opZCeHlefXw/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/tavus/Gv5r0opZCeHlefXw/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/tavus/Gv5r0opZCeHlefXw/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/tavus/Gv5r0opZCeHlefXw/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/tavus/Gv5r0opZCeHlefXw/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/tavus/Gv5r0opZCeHlefXw/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/tavus/Gv5r0opZCeHlefXw/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Objectives - Tavus\">\u003cmeta data-mint-head property=\"og:description\" content=\"This endpoint creates objectives for a PAL.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Tavus\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.tavus.io/api-reference/objectives/create-objectives\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://tavus.mintlify.site/_mintlify/api/og/v2?division=Objectives\u0026amp;title=Create+Objectives\u0026amp;description=This+endpoint+creates+objectives+for+a+PAL.%0A\u0026amp;theme=91cafe4cc1af35a0828d7f58\u0026amp;signature=9684966c9d4c9c094c654d71d5fa824f8e852ca94d15689d715a32d5a3ace90b\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Objectives - Tavus\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This endpoint creates objectives for a PAL.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://tavus.mintlify.site/_mintlify/api/og/v2?division=Objectives\u0026amp;title=Create+Objectives\u0026amp;description=This+endpoint+creates+objectives+for+a+PAL.%0A\u0026amp;theme=91cafe4cc1af35a0828d7f58\u0026amp;signature=9684966c9d4c9c094c654d71d5fa824f8e852ca94d15689d715a32d5a3ace90b\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/tavus/Gv5r0opZCeHlefXw/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Tavus\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#FA3862\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.tavus.io/api-reference/objectives/create-objectives\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/objectives/create-objectives.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.tavus.io/#organization\",\"name\":\"Tavus\",\"url\":\"https://docs.tavus.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/tavus/mlBBb4gkXXhWTLQi/logo/light_logo.png?fit=max\u0026auto=format\u0026n=mlBBb4gkXXhWTLQi\u0026q=85\u0026s=892e020f9d0afc49e64011dcae9d3dd6\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.tavus.io#website\",\"name\":\"Tavus\",\"url\":\"https://docs.tavus.io\",\"publisher\":{\"@id\":\"https://docs.tavus.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.tavus.io/api-reference/objectives/create-objectives#webpage\",\"url\":\"https://docs.tavus.io/api-reference/objectives/create-objectives\",\"name\":\"Create Objectives\",\"description\":\"This endpoint creates objectives for a PAL.\",\"dateModified\":\"2026-06-26T18:51:25.146Z\",\"isPartOf\":{\"@id\":\"https://docs.tavus.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.tavus.io/api-reference/objectives/create-objectives#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.tavus.io/api-reference/objectives/create-objectives#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Tavus\",\"item\":\"https://docs.tavus.io\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create Objectives\",\"item\":\"https://docs.tavus.io/api-reference/objectives/create-objectives\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.tavus.io/api-reference/objectives/create-objectives#apireference\",\"headline\":\"Create Objectives\",\"name\":\"Create Objectives\",\"description\":\"This endpoint creates objectives for a PAL.\",\"url\":\"https://docs.tavus.io/api-reference/objectives/create-objectives\",\"mainEntityOfPage\":{\"@id\":\"https://docs.tavus.io/api-reference/objectives/create-objectives#webpage\"},\"dateModified\":\"2026-06-26T18:51:25.146Z\",\"publisher\":{\"@id\":\"https://docs.tavus.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.tavus.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Tavus\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Tavus","nav":{"global":null,"tabs":[{"tab":"CVI","pages":[{"title":"CVI","href":"/sections/introduction"}]},{"tab":"API","groups":[{"group":"Introduction","pages":[{"title":"Overview","href":"/api-reference/overview"},{"title":"Authentication","href":"/api-reference/authentication"}]},{"group":"Conversation","pages":[{"openapi":"post /v2/conversations","title":null,"href":"/api-reference/conversations/create-conversation"},{"openapi":"get /v2/conversations/{conversation_id}","title":"Get Conversation","href":"/api-reference/conversations/get-conversation"},{"openapi":"get /v2/conversations","title":"List Conversations","href":"/api-reference/conversations/get-conversations"},{"openapi":"post /v2/conversations/{conversation_id}/end","title":"End Conversation","href":"/api-reference/conversations/end-conversation"},{"openapi":"delete /v2/conversations/{conversation_id}","title":"Delete Conversation","href":"/api-reference/conversations/delete-conversation"}]},{"group":"PAL","pages":[{"openapi":"post /v2/pals","title":"Create PAL","href":"/api-reference/pals/create-pal"},{"openapi":"get /v2/pals/{pal_id}","title":"Get PAL","href":"/api-reference/pals/get-pal"},{"openapi":"get /v2/pals","title":"List PALs","href":"/api-reference/pals/list-pals"},{"openapi":"patch /v2/pals/{pal_id}","title":"Patch PAL","href":"/api-reference/pals/patch-pal"},{"title":"Publish PAL","sidebarTitle":"Publish PAL (removed)","href":"/api-reference/pals/publish-pal"},{"openapi":"delete /v2/pals/{pal_id}","title":"Delete PAL","href":"/api-reference/pals/delete-pal"},{"openapi":"get /v2/pals/check-username","title":"Check Conferencing Username Availability","href":"/api-reference/pals/check-conferencing-username"}]},{"group":"Face","pages":[{"openapi":"post /v2/faces","title":"Create Face","href":"/api-reference/faces/create-face"},{"openapi":"post /v2/faces/image-validation","title":"Validate Face Image","href":"/api-reference/faces/validate-face-image"},{"openapi":"get /v2/faces/{face_id}","title":"Get Face","href":"/api-reference/faces/get-face"},{"openapi":"get /v2/faces","title":"List Faces","href":"/api-reference/faces/list-faces"},{"openapi":"patch /v2/faces/{face_id}","title":"Update Face","href":"/api-reference/faces/update-face"},{"openapi":"delete /v2/faces/{face_id}","title":"Delete Face","href":"/api-reference/faces/delete-face"}]},{"group":"Voices","pages":[{"openapi":"post /v2/voices","title":"Create Voice","href":"/api-reference/voices/create-voice"},{"openapi":"get /v2/voices/{voice_id}","title":"Get Voice","href":"/api-reference/voices/get-voice"},{"openapi":"get /v2/voices","title":"List Voices","href":"/api-reference/voices/list-voices"},{"openapi":"patch /v2/voices/{voice_id}","title":"Update Voice","href":"/api-reference/voices/update-voice"},{"openapi":"delete /v2/voices/{voice_id}","title":"Delete Voice","href":"/api-reference/voices/delete-voice"}]},{"group":"Tools","pages":[{"openapi":"post /v2/tools","title":"Create Tool","href":"/api-reference/tools/create-tool"},{"openapi":"get /v2/tools","title":"Get Tools","href":"/api-reference/tools/get-tools"},{"openapi":"get /v2/tools/{tool_id}","title":"Get Tool","href":"/api-reference/tools/get-tool"},{"openapi":"patch /v2/tools/{tool_id}","title":"Update Tool","href":"/api-reference/tools/update-tool"},{"openapi":"delete /v2/tools/{tool_id}","title":"Delete Tool","href":"/api-reference/tools/delete-tool"},{"openapi":"post /v2/pals/{pal_id}/tools","title":"Attach Tools To PAL","href":"/api-reference/pal-tools/attach-tools-to-pal"},{"openapi":"get /v2/pals/{pal_id}/tools","title":"List PAL Tools","href":"/api-reference/pal-tools/list-pal-tools"},{"openapi":"delete /v2/pals/{pal_id}/tools/{tool_id}","title":"Detach Tool From PAL","href":"/api-reference/pal-tools/detach-tool-from-pal"}]},{"group":"Connectors","pages":[{"openapi":"post /v2/connectors","title":"Create Connector","href":"/api-reference/connectors/create-connector"},{"openapi":"get /v2/connectors","title":"List Connectors","href":"/api-reference/connectors/list-connectors"},{"openapi":"get /v2/connectors/{connector_id}","title":"Get Connector","href":"/api-reference/connectors/get-connector"},{"openapi":"patch /v2/connectors/{connector_id}","title":"Update Connector","href":"/api-reference/connectors/update-connector"},{"openapi":"delete /v2/connectors/{connector_id}","title":"Delete Connector","href":"/api-reference/connectors/delete-connector"},{"openapi":"get /v2/connectors/{connector_id}/preview","title":"Preview Connector Tools","href":"/api-reference/connectors/preview-connector-tools"},{"openapi":"post /v2/connectors/{connector_id}/runtime_check","title":"Runtime Check Connector","href":"/api-reference/connectors/runtime-check-connector"},{"openapi":"post /v2/connectors/{connector_id}/oauth/reconnect","title":"Reconnect OAuth","href":"/api-reference/connectors/reconnect-connector-oauth"}]},{"group":"Skills","pages":[{"openapi":"get /v2/skills","title":"List Skills","href":"/api-reference/skills/list-skills"},{"openapi":"get /v2/skills/{skill_id}","title":"Get Skill","href":"/api-reference/skills/get-skill"},{"openapi":"get /v2/pals/{pal_id}/skills","title":"List PAL Skills","href":"/api-reference/pal-skills/list-pal-skills"},{"openapi":"get /v2/pals/{pal_id}/skills/{skill_id}","title":"Get PAL Skill","href":"/api-reference/pal-skills/get-pal-skill"},{"openapi":"put /v2/pals/{pal_id}/skills/{skill_id}","title":"Attach Skill to PAL","href":"/api-reference/pal-skills/attach-skill-to-pal"},{"openapi":"patch /v2/pals/{pal_id}/skills/{skill_id}","title":"Update PAL Skill","href":"/api-reference/pal-skills/update-pal-skill"},{"openapi":"delete /v2/pals/{pal_id}/skills/{skill_id}","title":"Detach Skill from PAL","href":"/api-reference/pal-skills/detach-skill-from-pal"},{"openapi":"put /v2/pals/{pal_id}/skills","title":"Replace PAL Skills","href":"/api-reference/pal-skills/replace-pal-skills"}]},{"group":"Memory Stores","pages":[{"group":"Store management","pages":[{"openapi":"post /v2/memory-stores","title":"Create Memory Store","href":"/api-reference/memory-stores/create-memory-store"},{"openapi":"get /v2/memory-stores","title":"List Memory Stores","href":"/api-reference/memory-stores/list-memory-stores"},{"openapi":"get /v2/memory-stores/{memory_store_id}","title":"Get Memory Store","href":"/api-reference/memory-stores/get-memory-store"},{"openapi":"delete /v2/memory-stores/{memory_store_id}","title":"Delete Memory Store","href":"/api-reference/memory-stores/delete-memory-store"}]},{"group":"Pinned memories","pages":[{"openapi":"post /v2/memory-stores/{memory_store_id}/pinned","title":"Create Pinned Memory","href":"/api-reference/memory-stores/create-pinned-memory"},{"openapi":"get /v2/memory-stores/{memory_store_id}/pinned","title":"List Pinned Memories","href":"/api-reference/memory-stores/list-pinned-memories"},{"openapi":"patch /v2/memory-stores/{memory_store_id}/pinned/{memory_id}","title":"Update Pinned Memory","href":"/api-reference/memory-stores/update-pinned-memory"},{"openapi":"delete /v2/memory-stores/{memory_store_id}/pinned/{memory_id}","title":"Delete Pinned Memory","href":"/api-reference/memory-stores/delete-pinned-memory"}]},{"group":"Learned memory","pages":[{"openapi":"get /v2/memory-stores/{memory_store_id}/learned","title":"Get Learned Memory","href":"/api-reference/memory-stores/get-learned-memory"},{"openapi":"delete /v2/memory-stores/{memory_store_id}/learned/profile","title":"Delete Learned Profile Memory","href":"/api-reference/memory-stores/delete-learned-profile-memory"},{"openapi":"delete /v2/memory-stores/{memory_store_id}/learned/timeline","title":"Delete Learned Timeline Memory","href":"/api-reference/memory-stores/delete-learned-timeline-memory"}]}]},{"group":"Magic Canvas","pages":[{"openapi":"post /v2/conversations/{conversation_id}/canvas/interactions","title":"Record Canvas Interaction","href":"/api-reference/canvas-interactions/record-canvas-interaction"},{"openapi":"get /v2/conversations/{conversation_id}/canvas/interactions","title":"List Canvas Interactions","description":"Returns every Canvas interaction recorded for a conversation, oldest first. Uses the same field shape as the `canvas.interaction` webhook's `properties` object. Zero Data Retention (ZDR) conversations record no interactions, so `data` is an empty list.\n\nReadable during and after the conversation. Call from your backend with your API key - not from the browser.\n\nSee [Canvas interactions](/sections/conversational-video-interface/magic-canvas/api/interactions).\n","href":"/api-reference/canvas-interactions/list-canvas-interactions"}]},{"group":"Objectives","pages":[{"openapi":"post /v2/objectives","title":"Create Objectives","href":"/api-reference/objectives/create-objectives"},{"openapi":"get /v2/objectives/{objectives_id}","title":"Get Objective","description":"This endpoint returns a single objective by its unique identifier.\n","href":"/api-reference/objectives/get-objectives"},{"openapi":"get /v2/objectives","title":"Get Objectives","href":"/api-reference/objectives/get-objectives-list"},{"openapi":"patch /v2/objectives/{objectives_id}","title":"Patch Objective","href":"/api-reference/objectives/patch-objectives"},{"openapi":"delete /v2/objectives/{objectives_id}","title":"Delete Objective","href":"/api-reference/objectives/delete-objectives"}]},{"group":"Guardrails","pages":[{"openapi":"post /v2/guardrails","title":"Create Guardrails","href":"/api-reference/guardrails/create-guardrails"},{"openapi":"get /v2/guardrails/{guardrail_id}","title":"Get Guardrails","href":"/api-reference/guardrails/get-guardrails"},{"openapi":"get /v2/guardrails","title":"List Guardrails","href":"/api-reference/guardrails/list-guardrails"},{"openapi":"patch /v2/guardrails/{guardrail_id}","title":"Patch Guardrails","href":"/api-reference/guardrails/patch-guardrails"},{"openapi":"delete /v2/guardrails/{guardrail_id}","title":"Delete Guardrails","href":"/api-reference/guardrails/delete-guardrails"}]},{"group":"Knowledge Base","pages":[{"title":"Create Document","openapi":"post /v2/documents","href":"/api-reference/documents/create-document"},{"title":"Get Document","openapi":"get /v2/documents/{document_id}","href":"/api-reference/documents/get-document"},{"title":"List Documents","openapi":"get /v2/documents","href":"/api-reference/documents/get-documents"},{"title":"Delete Document","openapi":"delete /v2/documents/{document_id}","href":"/api-reference/documents/delete-document"},{"title":"Update Document","openapi":"patch /v2/documents/{document_id}","href":"/api-reference/documents/patch-document"},{"title":"Recrawl Document","openapi":"post /v2/documents/{document_id}/recrawl","href":"/api-reference/documents/recrawl-document"}]},{"group":"Pronunciation Dictionaries","pages":[{"openapi":"post /v2/pronunciation-dictionaries","title":"Create Pronunciation Dictionary","href":"/api-reference/pronunciation-dictionaries/create-pronunciation-dictionary"},{"openapi":"get /v2/pronunciation-dictionaries/{dictionary_id}","title":"Get Pronunciation Dictionary","href":"/api-reference/pronunciation-dictionaries/get-pronunciation-dictionary"},{"openapi":"get /v2/pronunciation-dictionaries","title":"List Pronunciation Dictionaries","href":"/api-reference/pronunciation-dictionaries/list-pronunciation-dictionaries"},{"openapi":"patch /v2/pronunciation-dictionaries/{dictionary_id}","title":"Update Pronunciation Dictionary","href":"/api-reference/pronunciation-dictionaries/update-pronunciation-dictionary"},{"openapi":"delete /v2/pronunciation-dictionaries/{dictionary_id}","title":"Delete Pronunciation Dictionary","href":"/api-reference/pronunciation-dictionaries/delete-pronunciation-dictionary"}]},{"group":"Deployments","pages":[{"openapi":"post /v2/deployments","title":"Create Deployment","href":"/api-reference/deployments/create-deployment"},{"openapi":"get /v2/deployments","title":"List Deployments","href":"/api-reference/deployments/list-deployments"},{"openapi":"get /v2/deployments/{deployment_id}","title":"Get Deployment","href":"/api-reference/deployments/get-deployment"},{"openapi":"patch /v2/deployments/{deployment_id}","title":"Patch Deployment","href":"/api-reference/deployments/patch-deployment"},{"openapi":"delete /v2/deployments/{deployment_id}","title":"Delete Deployment","href":"/api-reference/deployments/delete-deployment"},{"openapi":"get /v2/deployments/{deployment_id}/init","title":"Get Deployment Init Config","href":"/api-reference/deployments/get-deployment-init"},{"openapi":"post /v2/deployments/{deployment_id}/start","title":"Start Deployment Conversation","href":"/api-reference/deployments/start-deployment-conversation"},{"openapi":"post /v2/deployments/{deployment_id}/conversations/{conversation_id}/end","title":"End Deployment Conversation","href":"/api-reference/deployments/end-deployment-conversation"}]}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/sections/changelog/changelog"}]},{"tab":"Other Products","pages":[{"title":"Other Products","href":"/sections/video/overview"}]},{"tab":"Enablement Docs","hidden":true,"pages":[{"title":"Enablement Docs","href":"/sections/enablement-docs"}]}]},"basePath":"","title":"Create Objectives - Tavus","buildId":"dpl_DTau1J5HqS9UTgVSDwGksstFWtPa","deploymentId":"dpl_DTau1J5HqS9UTgVSDwGksstFWtPa","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-5FCzAcfS.js","utils-SLtAG4EZ.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-2DZi8ZMu.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-D7J3nkzE.js","snippetPresets-D0Alv0AH.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BI4qNJ2c.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BD3uyr8j.js","shallow-D8iEBr5z.js","getApiPlaygroundDisplay-CgNP4lzR.js","CodeSnippet-CX-QHuMs.js","CodeSnippets-VlXE-ZUf.js","Page-D9ithiIZ.js","getPastedJson-DYNQkZ1M.js","icon-CzacdwOi.js","MethodPill-2JVqoYKi.js","DuplicateIcon-_xVXs-U8.js","createIcon-BRHrweLo.js","DynamicMarkdown-mQG_iQiE.js","SectionHeading-DMpJzv8f.js","axios-vUo_bRtp.js","Markdown-5FGIym-8.js","clsx-D-TRO5q5.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CdrJecqK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-CHlcWBLM.js"]}